List Deposit Addresses

GEThttps://bank.dattaremit.com/api/deposit_addresses

Requires a bank-scoped key.

Retrieves a list of deposit addresses. Records are sorted by creation date in descending order.

Required scope: deposit_addresses:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated guids to list deposit addresses for.

bank_guidstring

Comma separated bank_guids to list deposit addresses for.

customer_guidstring

Comma separated customer_guids to list deposit addresses for.

labelstring

Comma separated labels to list deposit addresses for.

Responses

200

get list of deposit addresses

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/deposit_addresses \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of deposit addresses

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "name": "string",
      "bank_guid": "string",
      "customer_guid": "string",
      "account_guid": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "asset": "string",
      "state": "string",
      "address": "string",
      "format": "string",
      "tag": "string",
      "labels": [
        "string"
      ]
    }
  ]
}